#import "AppDelegate.h"


@implementation AppDelegate
- (void)awakeFromNib;
{
    [[window contentView] setWantsLayer:YES];
    
    NSString *path = [[NSBundle mainBundle] 
                      pathForResource:@"VideoCube" 
                      ofType:@"qtz"];
    
    QCCompositionLayer *layer = 
        [[QCCompositionLayer alloc] initWithFile:path];
    
    [layer setFrame:NSRectToCGRect([[window contentView] frame])];
    
    CATextLayer *text = [CATextLayer layer];
    [text setString:@"hello World"];
    [text setFrame:NSRectToCGRect([[window contentView] frame])];
    [layer addSublayer:text];
    
    CIFilter *blurFilter = 
    [CIFilter filterWithName:@"CIGaussianBlur"];
    
    [blurFilter setDefaults];
    [blurFilter setValue:[NSNumber numberWithFloat:2.0] 
                  forKey:@"inputRadius"];
    [blurFilter setName:@"blur"];
    
    [layer setFilters:[NSArray arrayWithObject:blurFilter]];
    
    
    [[[window contentView] layer] addSublayer:layer];
}
@end
